#pragma once

#include "CoreMinimal.h"
#include "CrossPromoSingleCampaignRuntimeData.h"
#include "CrossPromoCampaignsRuntimeData.generated.h"

USTRUCT(BlueprintType)
struct FCrossPromoCampaignsRuntimeData
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	TMap<FString, FCrossPromoSingleCampaignRuntimeData> Campaigns;

public:
	DEADBYDAYLIGHT_API FCrossPromoCampaignsRuntimeData();
};

FORCEINLINE uint32 GetTypeHash(const FCrossPromoCampaignsRuntimeData) { return 0; }
